DocumentCSS (Common DOM API )
Keywords: org.w3c.dom.css.DocumentCSS interface
Date: 2015-11-19

compact2, compact3
org.w3c.dom.css

## Interface DocumentCSS

- All Superinterfaces:
    DocumentStyle

      public interface DocumentCSS
      extends DocumentStyle

  This interface represents a document with a CSS view.

  The `getOverrideStyle` method provides a mechanism through which a DOM author could effect immediate change to the style of an element without modifying the explicitly linked style sheets of a document or the inline style of elements in the style sheets. This style sheet comes after the author style sheet in the cascade algorithm and is called override style sheet. The override style sheet takes precedence over author style sheets. An "!important" declaration still takes precedence over a normal declaration. Override, author, and user style sheets all may contain "!important" declarations. User "!important" rules take precedence over both override and author "!important" rules, and override "!important" rules take precedence over author "!important" rules.

  The expectation is that an instance of the `DocumentCSS` interface can be obtained by using binding-specific casting methods on an instance of the `Document` interface.

  See also the Document Object Model (DOM) Level 2 Style Specification.

  Since:
    DOM Level 2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CSSStyleDeclaration` | `getOverrideStyle(Element elt, String pseudoElt)` This method is used to retrieve the override style declaration for a specified element and a specified pseudo-element.

    - ### Methods inherited from interface org.w3c.dom.stylesheets.DocumentStyle

      `getStyleSheets`

- - ### Method Detail

    - #### getOverrideStyle

          CSSStyleDeclaration getOverrideStyle(Element elt,
                                               String pseudoElt)

      This method is used to retrieve the override style declaration for a specified element and a specified pseudo-element.
      Parameters:
        `elt` - The element whose style is to be modified. This parameter cannot be null.
        `pseudoElt` - The pseudo-element or `null` if none.
      Returns:
        The override style declaration.

Submit a bug or feature
Java is a trademark or registered trademark of Oracle and/or its affiliates in the US and other countries.
Copyright © 2005, 2015, Oracle and/or its affiliates. 500 Oracle Parkway
Redwood Shores, CA 94065 USA. All rights reserved.